<script>
import Checkbox from '@/Components/Checkbox.vue';
import GuestLayout from '@/Layouts/GuestLayout.vue';
import InputError from '@/Components/InputError.vue';
import InputLabel from '@/Components/InputLabel.vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
import TextInput from '@/Components/TextInput.vue';
import { Head, Link, useForm } from '@inertiajs/vue3';

export default {
  components: {
    Checkbox, InputError, InputLabel, PrimaryButton, TextInput, Head, Link,
  },

  layout: GuestLayout,

  props: {
    canResetPassword: {
      type: Boolean,
    },
    status: {
      type: String,
    },
  },

  setup(props) {
    const form = useForm({
      email: '',
      password: '',
      remember: false,
    });

    const submit = () => {
      form.post('/login', {
        onFinish: () => form.reset('password'),
      });
    };

    return {
      form,
      submit,
    }
  }
}

</script>

<template>
  <Head title="Вход" />

  <div v-if="status" class="mb-4 font-medium text-sm text-green-600">
      {{ status }}
  </div>

  <form @submit.prevent="submit">
      <div>
          <InputLabel for="email" value="Почта" />

          <TextInput
              id="email"
              type="email"
              class="mt-1 block w-full"
              v-model="form.email"
              required
              autofocus
              placeholder="example@gmail.com"
          />

          <InputError class="mt-2" :message="form.errors.email" />
      </div>

      <div class="mt-4">
          <InputLabel for="password" value="Пароль" />

          <TextInput
              id="password"
              type="password"
              class="mt-1 block w-full"
              v-model="form.password"
              required
              placeholder="*******"
          />

          <InputError class="mt-2" :message="form.errors.password" />
      </div>

      <div class="block mt-4">
          <label class="flex items-center">
              <Checkbox name="remember" v-model:checked="form.remember" />
              <span class="ms-2 text-sm text-gray-600">Запомнить меня</span>
          </label>
      </div>

      <div class="flex items-center justify-end mt-4">
          <Link
              v-if="canResetPassword"
              href="/forgot-password"
              class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
          >
              Забыли пароль?
          </Link>

          <PrimaryButton class="ms-4" :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
              Войти
          </PrimaryButton>
      </div>
  </form>
</template>
